mode: Mainline
major-version-bump-message: ^(build|chore|ci|docs|feat|fix|perf|refactor|revert|style|test)(\([\w\s-]*\))?(!:|:.*\n\n((.+\n)+\n)?BREAKING CHANGE:\s.+)
minor-version-bump-message: '^(feat)(\([\w\s-]*\))?:'
patch-version-bump-message: '^(build|chore|ci|docs|fix|perf|refactor|revert|style|test)(\([\w\s-]*\))?:'
branches:
  # See https://gitversion.net/docs/reference/configuration#branch-configuration
  main:
    tag: ''
    increment: Patch
    prevent-increment-of-merged-branch-version: true
    track-merge-target: false
    regex: ^master$|^main$
    source-branches:
    - develop
    - release
    tracks-release-branches: false
    is-release-branch: false
    is-mainline: true
    pre-release-weight: 55000
  feature:
    tag: useBranchName
    increment: Inherit
    prevent-increment-of-merged-branch-version: false
    track-merge-target: true
    regex: ^features?[/-]
    tracks-release-branches: false
    is-release-branch: false
    is-mainline: false
    pre-release-weight: 0
ignore:
  sha: []
merge-message-formats: {}
